## alt-ergo 0.99.1+dfsg1

=== src/Makefile ===
byte:
	make -C .. byte
opt:
	make -C .. opt
gui:
	make -C .. gui
clean:
	make -C .. clean

=== src/main/Makefile ===
byte:
	make -C ../.. byte
opt:
	make -C ../.. opt
gui:
	make -C ../.. gui
clean:
	make -C ../.. clean

## alt-ergo 0.95.1

=== debian/changelog ===
alt-ergo (0.95.1-3) unstable; urgency=low

  * make libalt-ergo-ocaml-dev conflict and replace with alt-ergo (<<
    0.95.1-1) to resolve file conflict with versions of the package before
    the split into two binary packages (closes: #718010).

 -- Ralf Treinen <treinen@debian.org>  Sat, 24 Aug 2013 10:56:21 +0200

alt-ergo (0.95.1-2) unstable; urgency=low

  * upload to unstable

 -- Ralf Treinen <treinen@debian.org>  Fri, 10 May 2013 21:19:12 +0200

alt-ergo (0.95.1-1) experimental; urgency=low

  * New upstream release.
  * Split off a package for the development libraries.
  * Patches:
    - Adapted all patches to new upstream.
    - Merge patch 0009-fix-install-gui-target into
      0004-Add-rules-and-targets-for-gui.byte
    - Add patch 0009-clean-remove-META.patch
    - Drop patch 0006-PRECM-O-X-is-needed-to-link-altgr-ergo.patch as 
      upstream's makefile is doing the right thing.
  * debian/rules:
     - dh_auto-build: don't call "make altgr-ergo.$(OCAML_BEST)" since this
       is now subsumed by "make all"
     - drop the dh_install override since upstream's Makefile does the
       right thing
     - configure target: remove the "alt_ergo" from the libdir flag
       as this is added in upstream's Makefile.
     - Drop creation of the META file by debian/rules as this is now done by
       upstream's Makefile.
  * Drop debian/alt-ergo.dirs.in as all needed directories are created by
    upstream's Makefile.
  * Source-format 3.0 (quilt):
    - debian/source/format: update
    - debian/rules: drop "quilt" option from dh invocation
    - debian/control: drop quilt from build-dependencies
    - drop debian/README.source which is no longer necessary
  * Drop build-dependencies on autotools-dev, autoconf which are not needed.
    Touch configure in debian/rules to assure it is newer than configure.in.
  * Remove debian/docs as the upstream README file is useless for users of
    the debian package.
  * update clean target:
    - invoke dist-clean instead of clean in debian/rules
    - drop debian/clean which is no longer necessary (with patch
      0009-clean-remove-META.patch applied)
  * Rewrite long package description.
  * debian/watch: add extra directory per release.
  * debian/copyright:
    - machine-readable format 1.0
    - update copyright years to 2006-2011
    - add copyright holder Francois Bobot
  * Added myself as uploader.
  * Standards-Version 3.9.4 (no change)

 -- Ralf Treinen <treinen@debian.org>  Wed, 17 Apr 2013 09:45:39 +0200

alt-ergo (0.94-2) unstable; urgency=high

  * Add autoconf to Build-Depends to resolve an FTBFS (Closes: #669539).
  * Setting urgency to "high" to fix the RC bug.

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 14 May 2012 14:11:48 +0200

alt-ergo (0.94-1) unstable; urgency=low

  * New upstream release.
  * Rebase patches

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 08 Dec 2011 17:18:57 +0100

alt-ergo (0.93-3) unstable; urgency=low

  * Fix lablgtksourceview2 detection on bytecode architectures.
    - 0005-Look-for-cma-instead-of-cmxa-for-lablgtksourceview2.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 16 Apr 2011 16:27:24 +0200

alt-ergo (0.93-2) unstable; urgency=low

  * Add patch to fix FTBFS on bytecode architectures.
    - 0004-Add-rules-and-targets-for-gui.byte.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 16 Apr 2011 00:47:04 +0200

alt-ergo (0.93-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file.
  * Add liblablgtk2-gnome-ocaml-dev and liblablgtksourceview2-ocaml-dev
    to Build-Depends (needed by altgr-ergo).

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 15 Apr 2011 23:31:11 +0200

alt-ergo (0.91-2) unstable; urgency=low

  * Fix build on bytecode architecures: "test" target should depend on
    "best" alternative, and not "opt".

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 01 Jun 2010 22:25:38 +0200

alt-ergo (0.91-1) unstable; urgency=low

  * New upstream release.
  * Update my email address and remove DMUA
  * Refresh packaging (dh-ocaml, dh overrides, quilt)
    - Do not run tests when input files are absent
      0002-Do-not-run-the-test-if-test.mlw-is-absent.patch
  * Bump standards to 3.8.4
    - Add a debian/README.source
  * Add a debian/source/format (keep 1.0 format, for now)
  * Fix a typo in the sources
    - Add 0003-Fix-a-typo.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 01 Jun 2010 21:24:28 +0200

alt-ergo (0.9-1) unstable; urgency=low

  * New Upstream Version
  * Update build dependencies to ease OCaml 3.11.1 transition
  * Bump standards version to 3.8.2

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Mon, 06 Jul 2009 23:16:02 +0200

alt-ergo (0.8-1) unstable; urgency=low

  * Initial release (Closes: #468557)

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Tue, 24 Feb 2009 10:15:46 +0100

=== debian/control ===
Source: alt-ergo
Section: math
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Mehdi Dogguy <mehdi@debian.org>,
 Ralf Treinen <treinen@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 ocaml-nox (>= 3.11.1-3~),
 libocamlgraph-ocaml-dev (>= 1.1),
 liblablgtk2-gnome-ocaml-dev (>= 2.14.0+dfsg-2~),
 liblablgtksourceview2-ocaml-dev (>= 2.14.0+dfsg-2~),
 dh-ocaml (>= 0.9.0~)
Homepage: http://alt-ergo.lri.fr
Standards-Version: 3.9.4
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/alt-ergo.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/alt-ergo.git

Package: alt-ergo
Section: math
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${ocaml:Depends}
Suggests: why
Description: Automatic theorem prover dedicated to program verification
 Alt-Ergo is an automatic theorem prover geared towards application in
 program verification. It is based on CC(X), a congruence closure
 algorithm parameterized by an equational theory X. Alt-Ergo has
 built-in provers for propositional logic, linear arithmetic,
 uninterpreted function symbols, associative-commutative function
 symbols, polymorphic arrays, user-defined polymorphic record types
 and polymorphic enumeration types. It has restricted support for
 reasoning over arbitrary user-defined algebraic types, first-order
 quantifiers, and non-linear arithmetic.
 .
 This package contains the prover as a command-line executable
 as well as the graphical interface.

Package: libalt-ergo-ocaml-dev
Section: ocaml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${ocaml:Depends}
Breaks: alt-ergo (<< 0.95.1-1)
Replaces: alt-ergo (<< 0.95.1-1)
Suggests: why
Description: Theorem prover dedicated to program verification - libraries
 Alt-Ergo is an automatic theorem prover geared towards application in
 program verification. It is based on CC(X), a congruence closure
 algorithm parameterized by an equational theory X. Alt-Ergo has
 built-in provers for propositional logic, linear arithmetic,
 uninterpreted function symbols, associative-commutative function
 symbols, polymorphic arrays, user-defined polymorphic record types
 and polymorphic enumeration types. It has restricted support for
 reasoning over arbitrary user-defined algebraic types, first-order
 quantifiers, and non-linear arithmetic.
 .
 This package contains the development libraries that are useful when
 writing OCaml programs linking to the alt-ergo API.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/ocaml/ocamlvars.mk

BACKUP=.depend

override_dh_auto_configure:
	./configure --host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE)           \
	--prefix=/usr                           \
	--libdir=$(OCAML_STDLIB_DIR)            \
	--mandir=\$${prefix}/share/man

override_dh_auto_build:
	for i in $(BACKUP); do \
		cp -ax $$i $$i.debian; \
	done
	# we have to assure that configure is newer than configure.in since
	# patch 0005 patches them both (see bug #669539)
	touch configure
	$(MAKE) all

override_dh_auto_clean:
	if [ -f Makefile ]; then \
		$(MAKE) dist-clean;   \
	fi
	for i in $(BACKUP); do \
		[ ! -f $$i.debian ] || mv $$i.debian $$i; \
	done

%:
	dh --with ocaml $@

=== debian/watch ===
version=3
http://alt-ergo.lri.fr/http/alt-ergo-([\d\.]+)/alt-ergo-([\d\.]+)\.tar\.gz

## alt-ergo 0.95.2

=== debian/changelog ===
alt-ergo (0.95.2-3) sid; urgency=medium

  * Remove previously introduced patch since relevant API change
    has been reverted in OCamlgraph 1.8.5.
    - Remove 0002-Port-to-OCamlgraph-1.8.4.patch
    - Build-Depend on OCamlgraph >= 1.8.5~.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 27 Apr 2014 21:42:15 +0200

alt-ergo (0.95.2-2) sid; urgency=medium

  * Port to OCamlgraph 1.8.4 (Closes: #743072)
    - add 0002-Port-to-OCamlgraph-1.8.4.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 30 Mar 2014 23:07:47 +0200

alt-ergo (0.95.2-1) sid; urgency=low

  * New upstream release.
  * Update debian/watch, now points to ocamlpro site.
  * Refresh patch 0001-No-need-to-activate-debug-flag.patch
  * Drop patch 0002-Do-not-run-the-test-if-test.mlw-is-absent-and-use-be.patch:
    the file test.mlw is no longer relevant.
  * drop patches that have been applied by upstream:
    - 0003-Fix-a-typo.patch
    - 0004-Add-rules-and-targets-for-gui.byte.patch
    - 0005-Look-for-cma-instead-of-cmxa-for-lablgtksourceview2.patch
    - 0007-Fix-all-target.patch
    - 0008-Split-install-pack-into-two-separate-targets-opt-and.patch
    - 0009-clean-remove-META.patch
  * Add build-dependency on libzarith-ocaml-dev
  * debian/rules:
    - drop backup of .depend which is no longer needed
    - drop overwrite for dh_auto_configure
    - in dh_auto_build target, drop touching of configure
  * debian/copyright:
    - update Download field to ocamlpro
    - Upstream Contact : add alt-ergo-bugs mailing list
    - Update copyright holder and year for files *
    - Put paragraphs into the right order
  * install examples/ into /usr/share/doc/alt-ergo
  * Standards-version 3.9.5 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sun, 17 Nov 2013 14:25:38 +0100

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,13 @@
 Build-Depends:
  debhelper (>= 7.0.50~),
  ocaml-nox (>= 3.11.1-3~),
- libocamlgraph-ocaml-dev (>= 1.1),
+ libocamlgraph-ocaml-dev (>= 1.8.5~),
  liblablgtk2-gnome-ocaml-dev (>= 2.14.0+dfsg-2~),
  liblablgtksourceview2-ocaml-dev (>= 2.14.0+dfsg-2~),
+ libzarith-ocaml-dev,
  dh-ocaml (>= 0.9.0~)
 Homepage: http://alt-ergo.lri.fr
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/alt-ergo.git
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/alt-ergo.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/ocaml/ocamlvars.mk

override_dh_auto_build:
	$(MAKE) all gui

override_dh_auto_install:
	$(MAKE) DESTDIR=debian/tmp install install-gui install-pack

override_dh_auto_clean:
	if [ -f Makefile ]; then \
		$(MAKE) dist-clean;   \
	fi

%:
	dh --with ocaml $@

## alt-ergo 0.99.1+dfsg1

=== debian/changelog ===
alt-ergo (0.99.1+dfsg1-4build3) xenial; urgency=medium

  * Rebuild for new OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Feb 2016 12:05:17 +0000

alt-ergo (0.99.1+dfsg1-4build2) xenial; urgency=medium

  * No change rebuild for new OCaml ABIs

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 04 Nov 2015 20:39:46 +0000

alt-ergo (0.99.1+dfsg1-4build1) wily; urgency=medium

  * No-change rebuild for Ocaml ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Sep 2015 10:53:36 +0200

alt-ergo (0.99.1+dfsg1-4) unstable; urgency=low

  * debian/patches/series: add missing newline
  * debian/control: XS-Testsuite => Testsuite
  * debian/control: drop duplicated Section
  * debian/control: canonical URI in VCS fields
  * debian/copyright: Makefile.in => Makefile.configurable.in

 -- Ralf Treinen <treinen@debian.org>  Tue, 26 May 2015 21:56:56 +0200

alt-ergo (0.99.1+dfsg1-3) unstable; urgency=medium

  * debian/control: fix domain name in Vcs fields
  * explicitly set the build date to the date of the last changelog entry
    (closes: #786846):
    - add patch 0003-allow-set-build-date to set the build date in the
      Makefile in a variable
    - debian/rules: pass the correct value of the build date to the Makefile
    Thanks to Juan Picca <jumapico@gmail.com> and Jakub Wilk <jwilk@debian.org>
    for the patch!
  * rename patch 0001-dont-activate-debug-flag to be consistent with other
    patches

 -- Ralf Treinen <treinen@debian.org>  Tue, 26 May 2015 20:48:35 +0200

alt-ergo (0.99.1+dfsg1-2) unstable; urgency=low

  * upload to unstable. 

 -- Ralf Treinen <treinen@debian.org>  Mon, 04 May 2015 19:05:42 +0200

alt-ergo (0.99.1+dfsg1-1) experimental; urgency=medium

  * New upstream version.
  * debian/copyright: add Files-Excluded: non-free
  * debian/watch: mangle suffix +dfsg\d*
  * debian/rules:
    - override for dh_auto_clean target: call "make clean" only
      when config.status present
    - override for dh_auto_install: drop install-pack target
  * update debian patch 0001-No-need-to-activate-debug-flag which now applies
    to the file Makefile.users
  * new patch 0002-non-free-dropped: adapt Makefile.users to the removal of
    the non-free directory.
  * Drop the libalt-ergo-ocaml-dev binary package since upstream does no
    longer support installation of development libraries.
  * Standards-Version 3.9.6 (no change)
  * Added DEP8-style package tests:
    - debian/control: add XS-Testsuite field
    - added debian/tests, with two test scripts on the examples installed with
      the package.

 -- Ralf Treinen <treinen@debian.org>  Wed, 31 Dec 2014 13:02:03 +0100

=== debian/control ===
Source: alt-ergo
Section: math
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Mehdi Dogguy <mehdi@debian.org>,
 Ralf Treinen <treinen@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 ocaml-nox (>= 3.11.1-3~),
 libocamlgraph-ocaml-dev (>= 1.8.5~),
 liblablgtk2-gnome-ocaml-dev (>= 2.14.0+dfsg-2~),
 liblablgtksourceview2-ocaml-dev (>= 2.14.0+dfsg-2~),
 libzarith-ocaml-dev,
 dh-ocaml (>= 0.9.0~)
Homepage: http://alt-ergo.lri.fr
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/alt-ergo.git/
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/alt-ergo.git
Testsuite: autopkgtest

Package: alt-ergo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${ocaml:Depends}
Suggests: why
Description: Automatic theorem prover dedicated to program verification
 Alt-Ergo is an automatic theorem prover geared towards application in
 program verification. It is based on CC(X), a congruence closure
 algorithm parameterized by an equational theory X. Alt-Ergo has
 built-in provers for propositional logic, linear arithmetic,
 uninterpreted function symbols, associative-commutative function
 symbols, polymorphic arrays, user-defined polymorphic record types
 and polymorphic enumeration types. It has restricted support for
 reasoning over arbitrary user-defined algebraic types, first-order
 quantifiers, and non-linear arithmetic.
 .
 This package contains the prover as a command-line executable
 as well as the graphical interface.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

include /usr/share/ocaml/ocamlvars.mk

override_dh_auto_build:
	$(MAKE) all gui BUILD_DATE="$(BUILD_DATE)"

override_dh_auto_install:
	$(MAKE) DESTDIR=debian/tmp install install-gui

override_dh_auto_clean:
	if [ -f config.status ]; then \
		$(MAKE) dist-clean;   \
	fi

%:
	dh --with ocaml $@

=== debian/watch ===
version=3
opts="filenamemangle=s/.*=(.*)/$1/,dversionmangle=s/\+dfsg\d*//" \
http://alt-ergo.ocamlpro.com/download.php download_manager\.php\?target=alt-ergo-([\d\.]+)\.tar\.gz

## alt-ergo 1.01

=== debian/changelog ===
alt-ergo (1.01-1) unstable; urgency=medium

  * new upstream version. Refreshed patches.
  * debian/watch: version 4. Add option pgpsigurlmangle.
  * standards-version 3.9.7 (no change)
  * bump version of build-dependency ocaml, according to upstream install
    instructions.

 -- Ralf Treinen <treinen@debian.org>  Tue, 01 Mar 2016 21:17:13 +0100

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
  Ralf Treinen <treinen@debian.org>
 Build-Depends:
  debhelper (>= 7.0.50~),
- ocaml-nox (>= 3.11.1-3~),
+ ocaml-nox (>= 3.12.1),
  libocamlgraph-ocaml-dev (>= 1.8.5~),
  liblablgtk2-gnome-ocaml-dev (>= 2.14.0+dfsg-2~),
  liblablgtksourceview2-ocaml-dev (>= 2.14.0+dfsg-2~),
  libzarith-ocaml-dev,
  dh-ocaml (>= 0.9.0~)
 Homepage: http://alt-ergo.lri.fr
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/alt-ergo.git/
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/alt-ergo.git
 Testsuite: autopkgtest

## alt-ergo 1.30

=== debian/changelog ===
alt-ergo (1.30-1) unstable; urgency=medium

  * new upstream version:
    - refreshed patch 0001-dont-activate-debug-flags
    - refreshed patch 0002-non-free-dropped
    - refreshed patch 0003-allow-set-build-date
    - added build-dependency on ocplib-simplex-ocaml-dev, libzip-ocaml-dev,
      and ocaml-findlib
  * debhelper compatibility level 10:
    - bumped build-dependency on debhelper
    - bumped value in debian/compat
    - debian/rules: sequence before options in dh invocation
  * standards-version 3.9.8 (no change)
  * debian/control: dropped redundant Testsuite
  * updated Vcs-{Git,Browser}
  * patch spelling: various upstream spelling errors

 -- Ralf Treinen <treinen@debian.org>  Mon, 12 Dec 2016 19:58:57 +0100

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,20 @@
  Mehdi Dogguy <mehdi@debian.org>,
  Ralf Treinen <treinen@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 10),
  ocaml-nox (>= 3.12.1),
+ ocaml-findlib,
  libocamlgraph-ocaml-dev (>= 1.8.5~),
  liblablgtk2-gnome-ocaml-dev (>= 2.14.0+dfsg-2~),
  liblablgtksourceview2-ocaml-dev (>= 2.14.0+dfsg-2~),
  libzarith-ocaml-dev,
+ libzip-ocaml-dev,
+ ocplib-simplex-ocaml-dev,
  dh-ocaml (>= 0.9.0~)
 Homepage: http://alt-ergo.lri.fr
-Standards-Version: 3.9.7
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/alt-ergo.git/
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/alt-ergo.git
-Testsuite: autopkgtest
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/alt-ergo.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/alt-ergo.git
 
 Package: alt-ergo
 Architecture: any

=== debian/watch ===
version=4
opts="filenamemangle=s/.*=(.*)/$1/,\
	dversionmangle=s/\+dfsg\d*//,\
	pgpsigurlmangle=s/$/.asc/" \
http://alt-ergo.ocamlpro.com/download.php \
        download_manager\.php\?target=alt-ergo-([\d\.]+)\.tar\.gz

## alt-ergo 1.30%2Bdfsg1

=== debian/changelog ===
alt-ergo (1.30+dfsg1-1) unstable; urgency=medium

  * Repack source to exclude the non-free/ directory (closes: #883755).
  * Patch ocplib-simplex-0.4: patch to compile with version 0.4 of
    ocplib-simplex-ocaml-dev (closes: #882162).
  * Standards-Version 4.1.2 (no change)
  * debian/watch: drop pgpsigurlmangle

 -- Ralf Treinen <treinen@debian.org>  Thu, 21 Dec 2017 20:01:21 +0100

## alt-ergo 1.30+dfsg1

=== Makefile ===
include Makefile.configurable
include Makefile.users
-include Makefile.developers

=== debian/changelog ===
alt-ergo (1.30+dfsg1-2) unstable; urgency=medium

  * Since lablgtk2 does no longer build liblablgtksourceview2-ocaml-dev:
    - d/rules: stop building gui
    - drop build-dependencies on liblablgtk2-gnome-ocaml-dev and
      liblablgtksourceview2-ocaml-dev
    - drop mention of gui from the package description
    - added d/NEWS entry about this
  * Vcs-{Browser,Git}: switch to salsa
  * d/watch: minor fix
  * Standards-Version 4.2.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Tue, 13 Nov 2018 20:43:44 +0100

=== debian/control ===
--- 
+++ 
@@ -10,16 +10,14 @@
  ocaml-nox (>= 3.12.1),
  ocaml-findlib,
  libocamlgraph-ocaml-dev (>= 1.8.5~),
- liblablgtk2-gnome-ocaml-dev (>= 2.14.0+dfsg-2~),
- liblablgtksourceview2-ocaml-dev (>= 2.14.0+dfsg-2~),
  libzarith-ocaml-dev,
  libzip-ocaml-dev,
  ocplib-simplex-ocaml-dev,
  dh-ocaml (>= 0.9.0~)
 Homepage: http://alt-ergo.lri.fr
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/alt-ergo.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/alt-ergo.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/ocaml-team/alt-ergo
+Vcs-Git: https://salsa.debian.org/ocaml-team/alt-ergo.git
 
 Package: alt-ergo
 Architecture: any
@@ -36,5 +34,4 @@
  reasoning over arbitrary user-defined algebraic types, first-order
  quantifiers, and non-linear arithmetic.
  .
- This package contains the prover as a command-line executable
- as well as the graphical interface.
+ This package contains the prover as a command-line executable.

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,10 @@
 include /usr/share/ocaml/ocamlvars.mk
 
 override_dh_auto_build:
-	$(MAKE) all gui BUILD_DATE="$(BUILD_DATE)"
+	$(MAKE) all BUILD_DATE="$(BUILD_DATE)"
 
 override_dh_auto_install:
-	$(MAKE) DESTDIR=debian/tmp install install-gui
+	$(MAKE) DESTDIR=debian/tmp install
 
 override_dh_auto_clean:
 	if [ -f config.status ]; then \
@@ -20,4 +20,4 @@
 	fi
 
 %:
-	dh --with ocaml $@
+	dh  $@ --with ocaml

=== debian/watch ===
version=4
opts=filenamemangle=s/.*=(.*)/$1/,dversionmangle=s/\+dfsg\d*// \
http://alt-ergo.ocamlpro.com/download.php \
        download_manager\.php\?target=alt-ergo-([\d\.]+)\.tar\.gz

## alt-ergo 2.0.0

=== debian/changelog ===
alt-ergo (2.0.0-5build1) focal; urgency=medium

  * No-change rebuild against ocaml-base-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 15:47:42 +0000

alt-ergo (2.0.0-5) unstable; urgency=medium

  * Add libnum-ocaml-dev to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Sun, 01 Sep 2019 08:18:21 +0200

alt-ergo (2.0.0-4) unstable; urgency=high

  * Team upload
  * Fix compilation with camlzip >= 1.08

 -- Stéphane Glondu <glondu@debian.org>  Wed, 31 Jul 2019 11:08:36 +0200

alt-ergo (2.0.0-3) unstable; urgency=medium

  * Install files directly without going through dh_install
  * d/rules:
    - drop setting of BUILD_DATE which is no longer useful
    - drop inclusion of ocamlvars.mk which is no longer useful

 -- Ralf Treinen <treinen@debian.org>  Thu, 14 Feb 2019 04:21:22 +0100

alt-ergo (2.0.0-2) unstable; urgency=medium

  * Install plugins only on architectures with dynamic linking

 -- Ralf Treinen <treinen@debian.org>  Wed, 13 Feb 2019 22:40:56 +0100

alt-ergo (2.0.0-1) unstable; urgency=medium

  * Adjust debian/watch to the new *-free releases
  * New upstream release
    - refreshed patch 0001-dont-activate-debug-flags
    - dropped patch 0002-non-free-dropped which is no longer needed as upstream
      now publishes a completely free version
    - dropped patch 0003-allow-set-build-date since upstream has replaced
      the build-date by a release-date.
    - dropped patch spelling which has been applied upstream
    - dropped patch ocplib-simplex-0.4 since issue solved by upstream
  * debian/copyright:
    - license changed from CeCILL-C to Apache 2.0
    - https in format header
  * Build-dependencies:
    - ocplib-simplex: put a version constraint as indicated by upstream
    - ocaml-nox: bump minimal version to 4.04 as indicated by upstream
    - added menhir
    - debian-compat (=12)
  * Re-activate building and installing of the gui.
  * Do not install fpa-theory-2017-01-04-16h00.why which seems cruft
  * Override dh_dwz
  * Standards-version 4.3.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Wed, 13 Feb 2019 21:02:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,26 @@
 Source: alt-ergo
 Section: math
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Mehdi Dogguy <mehdi@debian.org>,
  Ralf Treinen <treinen@debian.org>
 Build-Depends:
- debhelper (>= 10),
- ocaml-nox (>= 3.12.1),
+ debhelper-compat (= 12),
+ dh-ocaml (>= 0.9.0~),
+ ocaml-nox (>= 4.04),
+ menhir,
  ocaml-findlib,
+ libnum-ocaml-dev,
  libocamlgraph-ocaml-dev (>= 1.8.5~),
  libzarith-ocaml-dev,
  libzip-ocaml-dev,
- ocplib-simplex-ocaml-dev,
- dh-ocaml (>= 0.9.0~)
+ ocplib-simplex-ocaml-dev (>= 0.4),
+ liblablgtk2-gnome-ocaml-dev (>= 2.14.0+dfsg-2~),
+ liblablgtksourceview2-ocaml-dev (>= 2.14.0+dfsg-2~)
 Homepage: http://alt-ergo.lri.fr
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/ocaml-team/alt-ergo
 Vcs-Git: https://salsa.debian.org/ocaml-team/alt-ergo.git
 
@@ -34,4 +39,5 @@
  reasoning over arbitrary user-defined algebraic types, first-order
  quantifiers, and non-linear arithmetic.
  .
- This package contains the prover as a command-line executable.
+ This package contains the prover as a command-line executable
+ as well as the graphical interface.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

%:
	dh  $@ --with ocaml

override_dh_auto_build:
	$(MAKE) all gui

override_dh_auto_install:
	$(MAKE) DESTDIR=debian/alt-ergo install install-gui

override_dh_auto_clean:
	if [ -f config.status ]; then \
		$(MAKE) dist-clean;   \
	fi

override_dh_dwz:
	dh_dwz --no-dwz-multifile

=== debian/tests/control ===
Tests: valid
Depends: alt-ergo

Tests: invalid
Depends: alt-ergo

=== debian/watch ===
version=4
opts=filenamemangle=s/.*=(.*)/$1/,dversionmangle=s/\+dfsg\d*// \
http://alt-ergo.ocamlpro.com/download.php \
        download_manager\.php\?target=alt-ergo-free-([\d\.]+)\.tar\.gz

## alt-ergo 2.4.1

=== Makefile ===

# ====================================
# Variable Definitions & Configuration
# ====================================

NAME=alt-ergo
SRC_DIR := src

BIN_DIR := $(SRC_DIR)/bin
LIB_DIR := $(SRC_DIR)/lib
PLUGINS_DIR := $(SRC_DIR)/plugins
PARSERS_DIR := $(SRC_DIR)/parsers

COMMON_DIR := $(BIN_DIR)/common
BTEXT_DIR := $(BIN_DIR)/text
BGUI_DIR := $(BIN_DIR)/gui
BJS_DIR := $(BIN_DIR)/js

UTIL_DIR := $(LIB_DIR)/util
FTND_DIR := $(LIB_DIR)/frontend
RSNRS_DIR := $(LIB_DIR)/reasoners
STRCT_DIR := $(LIB_DIR)/structures

RSC_DIR := rsc
EXTRA_DIR := $(RSC_DIR)/extra
SPHINX_DOC_DIR   := docs/sphinx_docs

BUILD_DIR := _build
INSTALL_DIR := $(BUILD_DIR)/install
DEFAULT_DIR := $(BUILD_DIR)/default
SPHINX_BUILD_DIR := $(BUILD_DIR)/sphinx_docs

# Include configuration makefile
# Since there is a rule to create/update this makefile, make
# should automatically run it and reload/restart if needed
include Makefile.config

# Some variables to help with adding
# flags and/or renaming the dune binary
DUNE=dune
DUNE_FLAGS=

# Definining the sphinx build command
SPHINXBUILD = sphinx-build

# List the files:
# - generated by rules in this makefile,
# - used by the build process
#
# This excludes:
# - .ml files generated by menhir or ocamllex
#   (since they reside in dune specific directory)
GENERATED_USEFUL=$(UTIL_DIR)/config.ml $(BTEXT_DIR)/flags.dune
GENERATED_LINKS=alt-ergo altgr-ergo alt-ergo.js alt-ergo-worker.js AB-Why3-plugin.cma AB-Why3-plugin.cmxs fm-simplex-plugin.cma fm-simplex-plugin.cmxs
GENERATED=$(GENERATED_USEFUL) $(GENERATED_LINKS)


# =======
# Aliases
# =======

# IMPORTANT: this is the first rules, and as such the default
# run when "make" is called, keep it as the first rule
world: all

# Small alias to re-generate necessary files for the build
gen: $(GENERATED_USEFUL)

# Convenient alias for running all configuration steps
conf: Makefile Makefile.config $(UTIL_DIR)/config.ml

# Alias for generated artifacts
clean: generated-clean dune-clean ocamldot-clean

# Alias to remove all generated files
distclean: makefile-distclean release-distclean

# declare these aliases as phony
.PHONY: world gen conf clean distclean alt-ergo-lib \
	alt-ergo-parsers alt-ergo altgr-ergo

# =================
# Build rules (dev)
# =================

# Build the alt-ergo lib (dev)
lib: gen
	$(DUNE) build $(DUNE_FLAGS) \
		$(LIB_DIR)/AltErgoLib.cma \
		$(LIB_DIR)/AltErgoLib.cmxa \
		$(LIB_DIR)/AltErgoLib.cmxs

# Build the cli/text alt-ergo bin (dev)
bin: gen
	$(DUNE) build $(DUNE_FLAGS) $(INSTALL_DIR)/default/bin/alt-ergo
	ln -sf $(INSTALL_DIR)/default/bin/alt-ergo alt-ergo

# Build the GUI (dev)
gui: gen
	$(DUNE) build $(DUNE_FLAGS) $(INSTALL_DIR)/default/bin/altgr-ergo
	ln -sf $(INSTALL_DIR)/default/bin/altgr-ergo altgr-ergo

# fm-simplex plugin
fm-simplex:
	$(DUNE) build $(DUNE_FLAGS) \
		$(INSTALL_DIR)/default/share/alt-ergo/plugins/fm-simplex-plugin.cma \
		$(INSTALL_DIR)/default/share/alt-ergo/plugins/fm-simplex-plugin.cmxs
	ln -sf $(INSTALL_DIR)/default/share/alt-ergo/plugins/fm-simplex-plugin.cma fm-simplex-plugin.cma
	ln -sf $(INSTALL_DIR)/default/share/alt-ergo/plugins/fm-simplex-plugin.cmxs fm-simplex-plugin.cmxs

# Ab-Why3 plugin
AB-Why3:
	$(DUNE) build $(DUNE_FLAGS) \
		$(INSTALL_DIR)/default/share/alt-ergo/plugins/AB-Why3-plugin.cma \
		$(INSTALL_DIR)/default/share/alt-ergo/plugins/AB-Why3-plugin.cmxs
	ln -sf $(INSTALL_DIR)/default/share/alt-ergo/plugins/AB-Why3-plugin.cma AB-Why3-plugin.cma
	ln -sf $(INSTALL_DIR)/default/share/alt-ergo/plugins/AB-Why3-plugin.cmxs AB-Why3-plugin.cmxs

# Build all plugins
plugins:
	$(DUNE) build $(DUNE_FLAGS) \
		$(INSTALL_DIR)/default/share/alt-ergo/plugins/fm-simplex-plugin.cma \
		$(INSTALL_DIR)/default/share/alt-ergo/plugins/fm-simplex-plugin.cmxs \
		$(INSTALL_DIR)/default/share/alt-ergo/plugins/AB-Why3-plugin.cma \
		$(INSTALL_DIR)/default/share/alt-ergo/plugins/AB-Why3-plugin.cmxs

# Alias to build all targets using dune
# Hopefully more efficient than making "all" depend
# on "lib", "bin" and "gui", since dune can
# parralelize more
all: gen
	$(DUNE) build $(DUNE_FLAGS) @install
	ln -sf $(INSTALL_DIR)/default/bin/alt-ergo alt-ergo
	ln -sf $(INSTALL_DIR)/default/bin/altgr-ergo altgr-ergo

# declare these targets as phony to avoid name clashes with existing directories,
# particularly the "plugins" target
.PHONY: lib bin gui fm-simplex AB-Why3 plugins all


# =====================
# Build rules (release)
# =====================

# Build the alt-ergo-lib (release)
alt-ergo-lib:
	$(DUNE) build $(DUNE_FLAGS) -p alt-ergo-lib @install

# Build the alt-ergo-parsers (release)
alt-ergo-parsers:
	$(DUNE) build $(DUNE_FLAGS) -p alt-ergo-parsers @install

# Build the cli/text alt-ergo (release)
alt-ergo:
	$(DUNE) build $(DUNE_FLAGS) -p alt-ergo @install

# Build the GUI (release)
altgr-ergo:
	$(DUNE) build $(DUNE_FLAGS) -p altgr-ergo @install

.PHONY: alt-ergo-lib alt-ergo-parsers alt-ergo altgr-ergo


# =====================
# Non-regressions tests
# =====================

# Run non-regression tests using the scripts in
# non-regression
non-regression: all
	cp $(INSTALL_DIR)/default/bin/alt-ergo non-regression/alt-ergo.opt
	cd non-regression &&  ./non-regression.sh
	rm non-regression/alt-ergo.opt

.PHONY: non-regression


# ============
# Installation
# ============

# Installation using dune is *NOT* recommended
# The good way to install alt-ergo is to use the alt-ergo.install
# file generated by dune, which specifies all files that need to
# be copied, and where they should be copied

# Use dune to install the lib, bin, and gui
install-all: all
	$(DUNE) install $(DUNE_FLAGS)		\
		--prefix $(prefix)						\
		--libdir $(libdir)						\
		--mandir $(mandir)

# Use dune to uninstall the lib, bin, and gui
uninstall-all:
	$(DUNE) uninstall $(DUNE_FLAGS)	\
		--prefix $(prefix)						\
		--libdir $(libdir)						\
		--mandir $(mandir)

# Install only the lib
install-lib:
	$(DUNE) install $(DUNE_FLAGS)		\
		--prefix $(prefix)						\
		--libdir $(libdir)						\
		--mandir $(mandir)						\
		-p alt-ergo-lib alt-ergo-lib

# Uninstall the lib
uninstall-lib:
	$(DUNE) uninstall $(DUNE_FLAGS)	\
		--prefix $(prefix)						\
		--libdir $(libdir)						\
		--mandir $(mandir)						\
		-p alt-ergo-lib alt-ergo-lib

# Install only the parsers
install-parsers:
	$(DUNE) install $(DUNE_FLAGS)		\
		--prefix $(prefix)						\
		--libdir $(libdir)						\
		--mandir $(mandir)						\
		-p alt-ergo-parsers alt-ergo-parsers

# Uninstall the parsers
uninstall-parsers:
	$(DUNE) uninstall $(DUNE_FLAGS)	\
		--prefix $(prefix)						\
		--libdir $(libdir)						\
		--mandir $(mandir)						\
		-p alt-ergo-parsers alt-ergo-parsers

# Install only the binary
install-bin:
	$(DUNE) install $(DUNE_FLAGS)		\
		--prefix $(prefix)						\
		--libdir $(libdir)						\
		--mandir $(mandir)						\
		-p alt-ergo alt-ergo

# Uninstall the binary
uninstall-bin:
	$(DUNE) uninstall $(DUNE_FLAGS)	\
		--prefix $(prefix)						\
		--libdir $(libdir)						\
		--mandir $(mandir)						\
		-p alt-ergo alt-ergo

# Install only the binary
install-gui:
	$(DUNE) install $(DUNE_FLAGS)		\
		--prefix $(prefix)						\
		--libdir $(libdir)						\
		--mandir $(mandir)						\
		-p altgr-ergo altgr-ergo

# Uninstall the lib
uninstall-gui:
	$(DUNE) uninstall $(DUNE_FLAGS)	\
		--prefix $(prefix)						\
		--libdir $(libdir)						\
		--mandir $(mandir)						\
		-p altgr-ergo altgr-ergo

.PHONY: install uninstall
.PHONY: install-lib uninstall-lib
.PHONY: install-bin uninstall-bin
.PHONY: install-gui uninstall-gui
.PHONY: install-parsers uninstall-parsers


# ========================
# Documentation generation
# ========================

# Build the documentations
doc: odoc sphinx-doc

# Build the sphinx documentation
sphinx-doc:
	# cp LICENSE.md $(SPHINX_DOC_DIR)/About/license.md
	# cp -r licenses $(SPHINX_DOC_DIR)/About
	$(SPHINXBUILD) "$(SPHINX_DOC_DIR)" "$(SPHINX_BUILD_DIR)"

# Build the odoc
odoc: gen
	$(DUNE) build $(DUNE_FLAGS) @doc

# Open the html doc generated by sphinx and odoc in browser
html: doc
	mkdir -p $(SPHINX_BUILD_DIR)/odoc/dev
	cp -r $(DEFAULT_DIR)/_doc/_html/* $(SPHINX_BUILD_DIR)/odoc/dev
	xdg-open $(SPHINX_BUILD_DIR)/index.html

.PHONY: doc sphinx-doc odoc html

# ========================
# Configuration generation
# ========================

# The hand-written configure script is used to query
# opam (or accept user spec) to set a few variables,
# and generate the Config module, which stores information
# about destination directories, including plugin directories
Makefile.config $(UTIL_DIR)/config.ml $(BTEXT_DIR)/flags.dune: configure configure.ml
	./configure

# ======================
# Javascript generation
# ======================
# Build the text alt-ergo bin in Js with js_of_ocaml-compiler
# zarith_stubs_js package is needed for this rule
# note that --timeout option is ignored due to the lack of js primitives
# and the use of input zip file is also unavailable
js-node: gen
	$(DUNE) build $(DUNE_FLAGS) --profile=release $(BJS_DIR)/main_text_js.bc.js
	ln -sf $(DEFAULT_DIR)/$(BJS_DIR)/main_text_js.bc.js alt-ergo.js

# Build a web worker for alt-ergo
# zarith_stubs_js, data-encoding, js_of_ocaml and js_of_ocaml-lwt packages are needed for this rule
js-worker: gen
	$(DUNE) build $(DUNE_FLAGS) --profile=release $(BJS_DIR)/worker_js.bc.js
	ln -sf $(DEFAULT_DIR)/$(BJS_DIR)/worker_js.bc.js alt-ergo-worker.js \

# Build a small web example using the alt-ergo web worker
# This example is available in the www/ directory
# zarith_stubs_js, data-encoding, js_of_ocaml and js_of_ocaml-lwt js_of_ocaml-ppx lwt_ppx packages are needed for this rule
js-example: js-worker
	$(DUNE) build $(DUNE_FLAGS) --profile=release $(BJS_DIR)/worker_example.bc.js
	mkdir -p www
	cp $(EXTRA_DIR)/worker_example.html www/index.html
	cd www \
	&& ln -sf ../$(DEFAULT_DIR)/$(BJS_DIR)/worker_js.bc.js alt-ergo-worker.js \
	&& ln -sf ../$(DEFAULT_DIR)/$(BJS_DIR)/worker_example.bc.js alt-ergo-main.js

.PHONY: js-node js-worker js-example

# ================
# Dependency graph
# ================

$(EXTRA_DIR)/ocamldot/ocamldot:
	cd $(EXTRA_DIR)/ocamldot/ && $(MAKE) bin

# plot the dependency graph
# specifying all dependencies is really, really bothersome,
# so we just put the ocamldot executable as dep
archi: $(EXTRA_DIR)/ocamldot/ocamldot
	ocamldep \
		-I $(BIN_DIR)/ -I $(LIB_DIR)/ -I $(COMMON_DIR)/ -I $(PARSERS_DIR)/ \
		-I $(PLUGINS_DIR)/ -I $(BTEXT_DIR)/ -I $(BGUI_DIR)/ \
		-I $(FTND_DIR)/ -I $(RSNRS_DIR)/ -I $(STRCT_DIR)/ -I $(UTIL_DIR)/ \
		-I $(DEFAULT_DIR)/$(COMMON_DIR)/ \
		-I $(DEFAULT_DIR)/$(PARSERS_DIR)/ -I $(DEFAULT_DIR)/$(PLUGINS_DIR)/ \
		$(FTND_DIR)/*.ml $(RSNRS_DIR)/*.ml $(STRCT_DIR)/*.ml $(UTIL_DIR)/*.ml \
		$(COMMON_DIR)/*.ml $(DEFAULT_DIR)/$(COMMON_DIR)/*.ml \
		$(PARSERS_DIR)/*.ml $(DEFAULT_DIR)/$(PARSERS_DIR)/*.ml \
		$(PLUGINS_DIR)/*/*.ml $(DEFAULT_DIR)/$(PLUGINS_DIR)/*/*.ml \
		$(BTEXT_DIR)/*.ml $(BGUI_DIR)/*.ml | \
		$(EXTRA_DIR)/ocamldot/ocamldot | grep -v "}" > archi.dot
	cat $(EXTRA_DIR)/subgraphs.dot >> archi.dot
	echo "}" >> archi.dot
	dot -Tpdf archi.dot > archi.pdf

deps:
	dune-deps . | dot -Tpng -o docs/deps.png

.PHONY: archi deps

# ===============
# PUBLIC RELEASES
# ===============

# Get the current commit hash and version number
COMMIT_ID = $(shell git log -1 | grep commit | cut -d " " -f 2)
VERSION=$(shell grep "=" $(UTIL_DIR)/version.ml | cut -d"=" -f2 | head -n 1)

# Some convenient variables
PUBLIC_VERSION=$(VERSION)
PUBLIC_RELEASE=alt-ergo-$(PUBLIC_VERSION)
PUBLIC_TARGZ=$(PUBLIC_RELEASE).tar.gz
FILES_DEST=public-release/$(PUBLIC_RELEASE)/$(PUBLIC_RELEASE)

public-release:
	rm -rf public-release
	mkdir -p $(FILES_DEST)
	cp configure configure.ml *.opam dune-project dune $(FILES_DEST)
	git clean -dfx
	cp licenses/License.OCamlPro licences/OCamlPro-Non-Commercial-License.txt licenses/OCamlPro-Non-Commercial-License.pdf licenses/LGPL-License.txt licenses/Apache-License-2.0.txt $(FILES_DEST)/
	cp README.md LICENSE.md COPYING.md $(FILES_DEST)/
	cp Makefile $(FILES_DEST)/
	cp INSTALL.md alt-ergo.opam CHANGES $(FILES_DEST)/

=== debian/changelog ===
alt-ergo (2.4.1-1) unstable; urgency=medium

  * Team upload.
  * Fix d/watch.
  * New upstream release.
  * Adapt to new upstream build system.
  * Drop patches (obsolete).
  * Complete b-deps.
  * Add a patch to work with a recent menhir.
  * Update d/copyright.
  * Adapt to new upstream install system.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 22 Apr 2022 11:07:37 +0200

alt-ergo (2.0.0-8) unstable; urgency=low

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ralf Treinen ]
  * Standards-Version 4.6.0 (no change)
  * Drop "Suggests: why" which is no longer in debian (closes: #977737)
  * New homepage at OCamlPRO

 -- Ralf Treinen <treinen@debian.org>  Wed, 27 Oct 2021 21:28:46 +0200

alt-ergo (2.0.0-7) unstable; urgency=medium

  * Team upload
  * Add empty override_dh_dwz to prevent FTBFS
  * Update debian/watch
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Tue, 11 Aug 2020 10:05:10 +0200

alt-ergo (2.0.0-6) unstable; urgency=medium

  * Build without graphical interface, due to the removal of gtksourceview2:
    - drop build-dependencies liblablgtk2-gnome-ocaml-dev and
      liblablgtksourceview2-ocaml-dev
    - drop building and installing the gui from debian/rules
    - drop mention of the gui from the package description
    - announce this in debian/NEWS
    - drop override of dh_auto_{build,install} which are no longer needed
      since we do not have to specify gui any more
  * Drop override of dh_dwz which is no longer needed.
  * Standards-Version 4.5.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Wed, 15 Apr 2020 09:56:28 +0200

=== debian/control ===
Source: alt-ergo
Section: math
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Mehdi Dogguy <mehdi@debian.org>, Ralf Treinen <treinen@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-ocaml,
               libcmdliner-ocaml-dev,
               libdune-ocaml-dev,
               liblablgtk2-ocaml-dev,
               libnum-ocaml-dev,
               libocamlgraph-ocaml-dev (>= 1.8.5~),
               libpsmt2-frontend-ocaml-dev,
               libzarith-ocaml-dev,
               libzip-ocaml-dev,
               menhir,
               ocaml-dune,
               ocaml-findlib,
               ocaml-nox (>= 4.04),
               ocplib-simplex-ocaml-dev (>= 0.4)
Homepage: https://alt-ergo.ocamlpro.com
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/ocaml-team/alt-ergo
Vcs-Git: https://salsa.debian.org/ocaml-team/alt-ergo.git

Package: alt-ergo
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Description: Automatic theorem prover dedicated to program verification
 Alt-Ergo is an automatic theorem prover geared towards application in
 program verification. It is based on CC(X), a congruence closure
 algorithm parameterized by an equational theory X. Alt-Ergo has
 built-in provers for propositional logic, linear arithmetic,
 uninterpreted function symbols, associative-commutative function
 symbols, polymorphic arrays, user-defined polymorphic record types
 and polymorphic enumeration types. It has restricted support for
 reasoning over arbitrary user-defined algebraic types, first-order
 quantifiers, and non-linear arithmetic.
 .
 This package contains the prover as a command-line executable.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/ocaml/ocamlvars.mk

%:
	dh  $@ --with ocaml

override_dh_auto_configure:
	./configure --prefix /usr --libdir /usr/lib/ocaml --mandir /usr/share/man alt-ergo-lib

override_dh_auto_build:
	dune build -p alt-ergo-lib,alt-ergo-parsers,alt-ergo

override_dh_auto_install:
	touch _build/default/altgr-ergo.install
	dune install -p alt-ergo-lib,alt-ergo-parsers,alt-ergo --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) --mandir=/usr/share/man --destdir=$(CURDIR)/debian/alt-ergo
	rm -rf $(CURDIR)/debian/tmp/usr/doc

override_dh_auto_clean:
	if [ -f config.status ]; then \
		$(MAKE) dist-clean;   \
	fi

## alt-ergo 2.4.2

=== Makefile ===
--- 
+++ 
@@ -167,7 +167,7 @@
 
 # Run non-regression tests using the scripts in
 # non-regression
-non-regression: all
+non-regression: bin
 	cp $(INSTALL_DIR)/default/bin/alt-ergo non-regression/alt-ergo.opt
 	cd non-regression &&  ./non-regression.sh
 	rm non-regression/alt-ergo.opt

=== debian/changelog ===
alt-ergo (2.4.2-2) unstable; urgency=medium

  * Team upload.
  * Re-enable the patch for non-native architectures.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 06 Aug 2022 23:04:05 +0200

alt-ergo (2.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop all patches (upstreamed).

 -- Julien Puydt <jpuydt@debian.org>  Sat, 06 Aug 2022 16:55:11 +0200

alt-ergo (2.4.1-4) unstable; urgency=medium

  * Add conditional patch for non-native architectures. (Closes: #1013362)

 -- Julien Puydt <jpuydt@debian.org>  Mon, 04 Jul 2022 09:30:03 +0200

alt-ergo (2.4.1-3) unstable; urgency=medium

  * Support cmdliner 1.1.1 using upstream patch.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 29 Jun 2022 11:31:51 +0200

alt-ergo (2.4.1-2) unstable; urgency=medium

  * Team upload.
  * Ship the examples (Closes: #1011966).

 -- Julien Puydt <jpuydt@debian.org>  Sat, 28 May 2022 08:36:08 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Mehdi Dogguy <mehdi@debian.org>, Ralf Treinen <treinen@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-ocaml,
-               libcmdliner-ocaml-dev,
+               libcmdliner-ocaml-dev (>= 1.1.0),
                libdune-ocaml-dev,
                liblablgtk2-ocaml-dev,
                libnum-ocaml-dev,

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,9 @@
 	dh  $@ --with ocaml
 
 override_dh_auto_configure:
+ifeq (, $(shell command -v ocamlc.opt))
+	patch -p1 < debian/patches/fix_non_native_architectures.patch
+endif
 	./configure --prefix /usr --libdir /usr/lib/ocaml --mandir /usr/share/man alt-ergo-lib
 
 override_dh_auto_build:
@@ -17,7 +20,7 @@
 override_dh_auto_install:
 	touch _build/default/altgr-ergo.install
 	dune install -p alt-ergo-lib,alt-ergo-parsers,alt-ergo --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) --mandir=/usr/share/man --destdir=$(CURDIR)/debian/alt-ergo
-	rm -rf $(CURDIR)/debian/tmp/usr/doc
+	rm -rf $(CURDIR)/debian/alt-ergo/usr/doc
 
 override_dh_auto_clean:
 	if [ -f config.status ]; then \

=== debian/watch ===
version=4
https://github.com/OCamlPro/alt-ergo/tags .*/([0-9.]*)\.tar\.gz
